Bug 397031 - (pear-HTTP-Upload) Review Request: php-pear-HTTP-Upload - Secure managment of files submitted via HTML Forms
Review Request: php-pear-HTTP-Upload - Secure managment of files submitted vi...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-11-23 11:14 EST by Christopher Stone
Modified: 2008-02-13 16:22 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.9.1-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-02-12 23:56:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-11-23 11:14:16 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTTP-Upload.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-HTTP-Upload-0.9.1-1.fc7.src.rpm


This class provides an advanced file uploader system for file uploads made
from html forms. Features:
* Can handle from one file to multiple files.
* Safe file copying from tmp dir.
* Easy detecting mechanism of valid upload, missing upload or error.
* Gives extensive information about the uploaded file.
* Rename uploaded files in different ways: as it is, safe or unique
* Validate allowed file extensions
* Multiple languages error messages support (es, en, de, fr, it, nl, pt_BR)

* Fri Nov 23 2007 Christopher Stone <chris.stone@gmail.com> 0.9.1-1
- Initial Fedora release
Comment 1 Remi Collet 2007-12-22 04:14:39 EST
arg, the sample doesn't work...

I think it would be cool to patch it :
Line 14 : if (!isset($_GET["submit"])) {

It's not a issue for the review.
Comment 2 Remi Collet 2007-12-22 04:22:49 EST

* rpmlint : OK
* The package is named according to the Package Naming Guidelines.
* The spec file name match the base package
* The package follow the PHP Packaging Guidelines
* Fedora approved license (LGPL)
* License field in the package spec file match the actual license
* The spec file is written in American English
* The spec file is legible
* The sources used to build the package must match the upstream source
fd1161202786fcba5272d2715bcda787 HTTP_Upload-0.9.1.tgz
* build in mock (F-7, noarch)
* All build dependencies are listed in BuildRequires
* no locales
* no shared library files
* package own all directories that it creates
* Package don't own files or directories already owned by other packages (HTTP
owned by php-pear-HTTP-Request, but no dependencies, so it's ok)
* no duplicate files
* Permissions on files are set properly
* %clean section
* package consistently use macros
* The package contain code
* small documentation
* no library
* no desktop file
* %install, start with rm -rf %{buildroot}
* All filenames are valid UTF-8
* scriptlets are sane*
* Final Provides ok
php-pear(HTTP_Upload) = 0.9.1
php-pear-HTTP-Upload = 0.9.1-1.fc8
* Final Requires see below

Should : see previous comment

Comment 3 Christopher Stone 2008-02-07 18:46:54 EST
New Package CVS Request
Package Name: php-pear-HTTP-Upload
Short Description: Secure managment of files submitted via HTML Forms
Owners: xulchris
Branches: F-7 F-8
Cvsextras Commits: yes
Comment 4 Jens Petersen 2008-02-08 01:12:43 EST
cvs admin done
Comment 5 Jens Petersen 2008-02-08 01:28:01 EST
Added EL-5 too per request of xulchris.
Comment 6 Fedora Update System 2008-02-08 16:18:45 EST
php-pear-HTTP-Upload-0.9.1-2.fc8 has been submitted as an update for Fedora 8
Comment 7 Christopher Stone 2008-02-08 16:30:56 EST
Package Change Request
Package Name: php-pear-HTTP-Upload
New Branches: EL-5

Jens said he added an EL-5 branch, and I got an e-mail from packagedb to that
regard, but when I try to do a cvs up -d command, the EL-5 branch is not showing up.
Comment 8 Kevin Fenzi 2008-02-09 14:46:16 EST
Should be fixed now. Can you check and confirm? 
Comment 9 Christopher Stone 2008-02-09 15:54:35 EST
Yep, fixed now, thx :)
Comment 10 Fedora Update System 2008-02-12 23:56:39 EST
php-pear-HTTP-Upload-0.9.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Christopher Stone 2008-02-13 16:22:41 EST
Built successfully on all branches, thanks for the review! :D

Note You need to log in before you can comment on or make changes to this bug.